BackgroundProperty.BackgroundType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.properties
Enum BackgroundProperty.BackgroundType

    java.lang.Object
      java.lang.Enum<BackgroundProperty.BackgroundType>
          net.ctdp.rfdynhud.properties.BackgroundProperty.BackgroundType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BackgroundProperty.BackgroundType>

Enclosing class:
  BackgroundProperty

    public static enum BackgroundProperty.BackgroundType

extends java.lang.Enum<BackgroundProperty.BackgroundType>

Enum Constant Summary
`COLOR`
`IMAGE`

Method Summary
`boolean` | `isColor()` Whether this type is `COLOR`.
`boolean` | `isImage()` Whether this type is `IMAGE`.
`static BackgroundProperty.BackgroundType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BackgroundProperty.BackgroundType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLOR

    public static final BackgroundProperty.BackgroundType COLOR

### IMAGE

    public static final BackgroundProperty.BackgroundType IMAGE

Method Detail

### values

    public static BackgroundProperty.BackgroundType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BackgroundProperty.BackgroundType c : BackgroundProperty.BackgroundType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BackgroundProperty.BackgroundType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isColor

    public final boolean isColor()

  Whether this type is `COLOR`.

  Returns:
    this type is `COLOR`.

### isImage

    public final boolean isImage()

  Whether this type is `IMAGE`.

  Returns:
    this type is `IMAGE`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD